import { Options } from "stylelint-webpack-plugin";
export interface IAppConf {
    name: string;
    port: number;
    assetsPathPrefix?: string;
    cdn?: string;
}
export interface IConfigure {
    debugPort?: number;
    logger?: string;
    tslint?: {
        disable: boolean;
    };
    stylelint?: boolean | Options | string;
}
export default class ConfigHelper {
    static store: any;
    private static privateGet;
    static set(node: string, value: any, configPath?: string): void;
    static get(node: string, defaultValue?: any, configPath?: string): any;
    static getPackageName(): any;
    static getAssetsPathPrefix(): string;
    static getCDN(): string;
    static getPublicPath(): string;
}
