import { type Configuration, type EntryObject } from "webpack";
import { WebpackTaskBase } from "../libs/WebpackTaskBase.js";
export declare class ServerApiPack extends WebpackTaskBase {
    private globalConfig;
    constructor(taskName?: string);
    private scan;
    protected compile(): Promise<void | Error>;
    protected getCompileConfig(entry: EntryObject): Promise<Configuration>;
}
export default ServerApiPack;
