import { type Configuration, type EntryObject } from "webpack";
import { WebpackTaskBase } from "../libs/WebpackTaskBase.js";
export declare class StandalonePack extends WebpackTaskBase {
    private globalConfig;
    constructor(taskName?: string);
    protected compile(): Promise<void | Error>;
    private entryScan;
    /**
     * 入口文件搜寻
     */
    private scan;
    private getOptimization;
    private getPlugins;
    private getEntryAndOutputConfig;
    private getExternalConfig;
    protected getCompileConfig(entry: EntryObject): Promise<Configuration>;
}
export default StandalonePack;
