import webpack from "webpack";
import TaskBase from "./TaskBase.js";
export declare class WebpackTaskBase extends TaskBase {
    private helperTask;
    private static compileQueue;
    private static compileDoneCallback;
    protected index: number;
    constructor(taskName?: string);
    private compileInvalid;
    private compileWatchRun;
    private compileDone;
    private isAllCompileDone;
    private printCompileResult;
    protected compileFinishedCallback(fn: any): void;
    protected compile(config: webpack.Configuration): Promise<void | Error>;
    protected getEnvDef(): "development" | "production";
}
export default WebpackTaskBase;
