import { type Configuration } from "webpack";
import { WebpackTaskBase } from "../libs/WebpackTaskBase.js";
export declare class IsomorphicPack extends WebpackTaskBase {
    private clientEntrySrc;
    private globalConfig;
    private publicPath;
    constructor(taskName?: string);
    private getPublicPath;
    private getOptimization;
    private getPlugins;
    protected compile(): Promise<void | Error>;
    protected getCompileConfig(): Promise<Configuration>;
}
export default IsomorphicPack;
