import { type Configuration } from "webpack";
import { WebpackTaskBase } from "../libs/WebpackTaskBase.js";
export declare class ServerPack extends WebpackTaskBase {
    private globalConfig;
    private autoRun;
    private debugPort;
    constructor(taskName?: string);
    private shouldSourceModuled;
    private getPlugins;
    private getRules;
    protected done(): Promise<void>;
    setAutoRun(autoRun?: boolean): ServerPack;
    protected compile(): Promise<void | Error>;
    protected getCompileConfig(): Promise<Configuration>;
}
export default ServerPack;
